OpenWrt/LEDE Project

  • Status Waiting on reporter
  • Percent Complete
    0%
  • Task Type Bug Report
  • Category Base system
  • Assigned To No-one
  • Operating System All
  • Severity Low
  • Priority Very Low
  • Reported Version openwrt-18.06
  • Due in Version Undecided
  • Due Date Undecided
  • Private
Attached to Project: OpenWrt/LEDE Project
Opened by John Doe - 08.10.2019
Last edited by Yousong Zhou - 31.10.2019

FS#2539 - libgpg-error compile error -> 'errnos_msgstr' undeclared

Supply the following if possible:
- Device problem occurs on

[karloff@Galilei ~]$ gcc -v
COLLECT_GCC=gcc
COLLECT_LTO_WRAPPER=/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/lto-wrapper
Ziel: x86_64-pc-linux-gnu
Konfiguriert mit: /build/gcc/src/gcc/configure --prefix=/usr --libdir=/usr/lib --libexecdir=/usr/lib --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=https://bugs.archlinux.org/ --enable-languages=c,c++,ada,fortran,go,lto,objc,obj-c++ --enable-shared --enable-threads=posix --with-system-zlib --with-isl --enable-__cxa_atexit --disable-libunwind-exceptions --enable-clocale=gnu --disable-libstdcxx-pch --disable-libssp --enable-gnu-unique-object --enable-linker-build-id --enable-lto --enable-plugin --enable-install-libiberty --with-linker-hash-style=gnu --enable-gnu-indirect-function --enable-multilib --disable-werror --enable-checking=release --enable-default-pie --enable-default-ssp --enable-cet=auto
Thread-Modell: posix
gcc-Version 9.2.0 (GCC) 

- Software versions of OpenWrt/LEDE release, packages, etc.
Openwrt 18.06 git branch

- Steps to reproduce
Checkout 18.06 branch and select libgpg-error in menuconfig then try to compile firmware

error with: strerror-sym.c:47:9: error: ‘errnos_msgstr’ undeclared (first use in this function)

looks like a problem with the package, not the env.

You can find more information in forum thread: https://forum.openwrt.org/t/build-problem-18-06-4-libgpg-error/45910

 


John Doe commented on 10.10.2019 14:04

it turn out that the problem here is gawk (https://www.gnu.org/software/gawk/gawk.html)
if your gawk version is >=5.x compiling run into error
with version 4.2.1-r1 it can be compiled

Project Manager
Yousong Zhou commented on 31.10.2019 06:31

The issue was fixed in packages repo's master, openwrt-19.07 branch, but not yet in openwrt-18.06.

Please consider opening a backport request at https://github.com/openwrt/packages/pulls.

Loading...

Available keyboard shortcuts

Tasklist

Task Details

Task Editing